Add print statements for "Unable to determine architecture".

test: test-art-host-run-test
Change-Id: Ifa57e1782450456622843e4fae15e230c0d19dea
diff --git a/test/etc/run-test-jar b/test/etc/run-test-jar
index cc0d008..cf8db15 100755
--- a/test/etc/run-test-jar
+++ b/test/etc/run-test-jar
@@ -398,8 +398,15 @@
 
 if [ "$HOST" = "n" ]; then
   ISA=$(adb shell ls -F /data/dalvik-cache | grep -Ewo "${ARCHITECTURES_PATTERN}")
+  outcome=$?
   if [ x"$ISA" = "x" ]; then
     echo "Unable to determine architecture"
+    # Print a few things for helping diagnosing the problem.
+    echo "adb invocation outcome: $outcome"
+    echo $(adb shell ls -F /data/dalvik-cache)
+    echo $(adb shell ls /data/dalvik-cache)
+    echo ${ARCHITECTURES_PATTERN}
+    echo $(adb shell ls -F /data/dalvik-cache | grep -Ewo "${ARCHITECTURES_PATTERN}")
     exit 1
   fi
 fi